﻿/**Begin D:\PDM_UPGRADE\PDM1\QCP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCP_INSPENTRY' AND KSQL_COL_NAME ='FACCEPTNO') 
 ALTER TABLE T_QCP_INSPENTRY ADD (FACCEPTNO NVARCHAR(30) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCP_INSPENTRY' AND KSQL_COL_NAME ='FACCEPTID')
ALTER TABLE T_QCP_INSPENTRY ADD (FACCEPTID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_ACCEPTRECORD') 
 CREATE TABLE T_QCP_ACCEPTRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_ACCEPTRECORD_ENTRY') 
 CREATE TABLE T_QCP_ACCEPTRECORD_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALCFGID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBASEQUALIQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_ACCEPTRECORD_ENTRY_L') 
 CREATE TABLE T_QCP_ACCEPTRECORD_ENTRY_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCP_ACCEPTRECORD_ENTRY' AND KSQL_COL_NAME ='FLOTNUMBER') 
 ALTER TABLE T_QCP_ACCEPTRECORD_ENTRY ADD (FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCP_ACCEPTRECORD_ENTRY' AND KSQL_COL_NAME ='FSRCBILLTYPE')
ALTER TABLE T_QCP_ACCEPTRECORD_ENTRY ADD (FSRCBILLTYPE BIGINT DEFAULT 0 NOT NULL );
/**End D:\PDM_UPGRADE\PDM1\QCP_table.sql **/
