﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECBILL') 
 CREATE TABLE T_QCP_INSPECBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINSPESTARTDATE DATETIME,
FINSPEENDDATE DATETIME,
FINSPEDEPTID BIGINT DEFAULT 0 NOT NULL,
FINSPECTORID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FINSPECTSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECBILL_L') 
 CREATE TABLE T_QCP_INSPECBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPSUBENTITY') 
 CREATE TABLE T_QCP_INSPSUBENTITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINSPECTIONITEM BIGINT DEFAULT 0 NOT NULL,
FINSPECTIONCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINSPECTMETHOD BIGINT DEFAULT 0 NOT NULL,
FINSPECTFREQ BIGINT DEFAULT 0 NOT NULL,
FINSPECTBASIS BIGINT DEFAULT 0 NOT NULL,
FKEYQUALITY VARCHAR(5) DEFAULT ' ' NOT NULL,
FINSPECTINSTRUCT BIGINT DEFAULT 0 NOT NULL,
FNORMTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FINSPECUNITID BIGINT DEFAULT 0 NOT NULL,
FSPECVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDOWNVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUQUUID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_MATINTOENTITY_I') 
 CREATE TABLE T_QCP_MATINTOENTITY_I (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIEID BIGINT DEFAULT 0 NOT NULL,
FORDERNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMANUDATE DATETIME,
FDUEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_MATINTOENTITY') 
 CREATE TABLE T_QCP_MATINTOENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSAMPSCHEME BIGINT DEFAULT 0 NOT NULL,
FSAMPPERCENTAGE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFORMULA VARCHAR(50) DEFAULT ' ' NOT NULL,
FRE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSPECTIONSTD BIGINT DEFAULT 0 NOT NULL,
FEMERGENCY VARCHAR(5) DEFAULT ' ' NOT NULL,
FINSPECTRESULT VARCHAR(5) DEFAULT ' ' NOT NULL,
FSUPPLYORG BIGINT DEFAULT 0 NOT NULL,
FSUPPLYDEP BIGINT DEFAULT 0 NOT NULL,
FPROPOSER BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FACSTR VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FDESTRUCTIVE CHAR(1) DEFAULT '0' NOT NULL,
FDESTRUCTIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTERRESULT CHAR(1) DEFAULT '0' NOT NULL,
FSAMPINGQUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSAMPINGUNQUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSAMPLINGRESULT VARCHAR(100) DEFAULT ' ' NOT NULL,
FSAMPLINGSIZEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHKOBJID BIGINT DEFAULT 0 NOT NULL,
FCHKOBJENTRYID BIGINT DEFAULT 0 NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCP_table.sql **/
