﻿-- 来料检验申请单编码规则
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '1+==ROYRV6QP')
INSERT INTO t_cr_coderule(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FCREATORID,FDISABLERID)
VALUES ('1+==ROYRV6QP','-','1',' ','2',NULL,'1+==ROYRV6QP','C',' ',NULL,' ',{ts'2018-08-08  18:08:08'},'qcp_inspecapply','1',1,'0',{ts'2018-08-08  18:08:08'},1,NULL); 


IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '1+==ROYRV=S9')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1+==ROYRV6QP','1+==ROYRV=S9','zh_CN','来料检验申请单编码规则'); 
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '1+==ROYRV=S8')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1+==ROYRV6QP','1+==ROYRV=S8','zh_TW','來料檢驗申請單編碼規則'); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FID = '1+==ROYRV6QP') 
INSERT INTO t_cr_coderuleentry (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) 
SELECT '1/Q2X+M0HK=5', '1+==ROYRV6QP', 0, '1', ' ', ' ', 'LLJYSQ', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1' UNION
SELECT '1/Q2X+M0HK=6', '1+==ROYRV6QP', 1, '2', '1', 'applytime', 'yyyyMMdd', ' ', 8, 1, 1, ' ', '1', '1', '1', '1', '-', '1' UNION
SELECT '1/Q2X+M0HK=7', '1+==ROYRV6QP', 2, '16', '1', ' ', ' ', ' ', 6, 1, 1, ' ', '1', '1', '1', '0', '-', '1' ;

-- 来料检验单编码规则
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '1+FNN+46OC6K')
INSERT INTO t_cr_coderule(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FCREATORID,FDISABLERID)
VALUES ('1+FNN+46OC6K','-','1',' ','2',NULL,'1+FNN+46OC6K','C',' ',NULL,' ',{ts'2018-08-08  18:08:08'},'qcp_incominginspct','1',1,'0',{ts'2018-08-08  18:08:08'},1,NULL); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '1+FNN+46Q579')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1+FNN+46OC6K','1+FNN+46Q579','zh_CN','来料检验单编码规则'); 
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '1+FNN+46Q578')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1+FNN+46OC6K','1+FNN+46Q578','zh_TW','來料檢驗單編碼規則'); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FID = '1+FNN+46OC6K') 
INSERT INTO t_cr_coderuleentry (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) 
SELECT '1+FNN+5OP/9S', '1+FNN+46OC6K', 0, '1', ' ', ' ', 'LLJY', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1' UNION
SELECT '1+FNN+5OP/9T', '1+FNN+46OC6K', 1, '2', '1', 'createtime', 'yyyyMMdd', ' ', 8, 1, 1, ' ', '1', '1', '1', '1', '-', '1' UNION
SELECT '1+FNN+5OP/9U', '1+FNN+46OC6K', 2, '16', '1', ' ', ' ', ' ', 6, 1, 1, ' ', '1', '1', '1', '0', '-', '1' ;

-- 来料不合格品单编码规则
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '1+==WBN4NP4D')
INSERT INTO t_cr_coderule(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FCREATORID,FDISABLERID)
VALUES ('1+==WBN4NP4D','-','1',' ','2',NULL,'1+==WBN4NP4D','C',' ',NULL,' ',{ts'2018-08-08  18:08:08'},'qcp_baddeal','1',1,'0',{ts'2018-08-08  18:08:08'},1,NULL); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '1+==WBN4NL2W')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1+==WBN4NP4D','1+==WBN4NL2W','zh_CN','来料不合格品处理编码规则'); 
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '1+==WBN4NL2V')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1+==WBN4NP4D','1+==WBN4NL2V','zh_TW','來料不合格品處理編碼規則'); 
 
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FID = '1+==WBN4NP4D') 
INSERT INTO t_cr_coderuleentry (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) 
SELECT '1/Q2XLW4XMRI', '1+==WBN4NP4D', 0, '1', ' ', ' ', 'LLBHG', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1' UNION
SELECT '1/Q2XLW4XMRJ', '1+==WBN4NP4D', 1, '2', '1', 'createtime', 'yyyyMMdd', ' ', 8, 1, 1, ' ', '1', '1', '1', '1', '-', '1' UNION
SELECT '1/Q2XLW4XMRK', '1+==WBN4NP4D', 2, '16', '1', ' ', ' ', ' ', 6, 1, 1, ' ', '1', '1', '1', '0', '-', '1' ;

--IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FID = '1+==WBN4NP4D')
--INSERT INTO t_cr_coderuleentry (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('1/Q2XLW4XMRI', '1+==WBN4NP4D', 0, '1', ' ', ' ', 'LLBHG', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1')
--INSERT INTO t_cr_coderuleentry (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('1/Q2XLW4XMRJ', '1+==WBN4NP4D', 1, '2', '1', 'createtime', 'yyyyMMdd', ' ', 8, 1, 1, ' ', '1', '1', '1', '1', '-', '1')
--INSERT INTO t_cr_coderuleentry (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('1/Q2XLW4XMRK', '1+==WBN4NP4D', 2, '16', '1', ' ', ' ', ' ', 6, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
