﻿/**Begin D:\PDM_UPGRADE\PDM1\QCP_TG_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCP_TG_INSPSUBRESSAMP', 'T_QCP_TG_INSPSUBRESSAMP', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPMP_FENTRYID') CREATE INDEX IDX_QCP_TG_INSPMP_FENTRYID ON T_QCP_TG_INSPSUBRESSAMP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPMP_FSEQ') CREATE INDEX IDX_QCP_TG_INSPMP_FSEQ ON T_QCP_TG_INSPSUBRESSAMP ( FSEQ );


 EXEC P_ALTERPK 'PK_QCP_TG_INSPBILL', 'T_QCP_TG_INSPBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPLL_FBILLNO') CREATE INDEX IDX_QCP_TG_INSPLL_FBILLNO ON T_QCP_TG_INSPBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPLL_FCREATETIME') CREATE INDEX IDX_QCP_TG_INSPLL_FCREATETIME ON T_QCP_TG_INSPBILL ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCP_TG_INSPBILL_L', 'T_QCP_TG_INSPBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPLLL_FID') CREATE INDEX IDX_QCP_TG_INSPLLL_FID ON T_QCP_TG_INSPBILL_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPLLL_FCOMMENT') CREATE INDEX IDX_QCP_TG_INSPLLL_FCOMMENT ON T_QCP_TG_INSPBILL_L ( FCOMMENT );


 EXEC P_ALTERPK 'PK_QCP_TG_INSPENTRY', 'T_QCP_TG_INSPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPRY_FID') CREATE INDEX IDX_QCP_TG_INSPRY_FID ON T_QCP_TG_INSPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPRY_FSEQ') CREATE INDEX IDX_QCP_TG_INSPRY_FSEQ ON T_QCP_TG_INSPENTRY ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPRY_FMAT') CREATE INDEX IDX_QCP_TG_INSPRY_FMAT ON T_QCP_TG_INSPENTRY ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPRY_FMATCFG') CREATE INDEX IDX_QCP_TG_INSPRY_FMATCFG ON T_QCP_TG_INSPENTRY ( FMATERIALCFG );


 EXEC P_ALTERPK 'PK_QCP_TG_INSPENTRY_L', 'T_QCP_TG_INSPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPRYL_FENTRYID') CREATE INDEX IDX_QCP_TG_INSPRYL_FENTRYID ON T_QCP_TG_INSPENTRY_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPRYL_FSUBCOMMENT') CREATE INDEX IDX_QCP_TG_INSPRYL_FSUBCOMMENT ON T_QCP_TG_INSPENTRY_L ( FSUBCOMMENT );


 EXEC P_ALTERPK 'PK_QCP_TG_INSPSUBRESPROJ', 'T_QCP_TG_INSPSUBRESPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPOJ_FENTRYID') CREATE INDEX IDX_QCP_TG_INSPOJ_FENTRYID ON T_QCP_TG_INSPSUBRESPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPOJ_FSEQ') CREATE INDEX IDX_QCP_TG_INSPOJ_FSEQ ON T_QCP_TG_INSPSUBRESPROJ ( FSEQ );


 EXEC P_ALTERPK 'PK_QCP_TG_INSPSUBRESPROJ_L', 'T_QCP_TG_INSPSUBRESPROJ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPOJL_FDETAILID') CREATE INDEX IDX_QCP_TG_INSPOJL_FDETAILID ON T_QCP_TG_INSPSUBRESPROJ_L ( FDETAILID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPOJL_FCOMMENT') CREATE INDEX IDX_QCP_TG_INSPOJL_FCOMMENT ON T_QCP_TG_INSPSUBRESPROJ_L ( FINSPECCOMMENT );


 EXEC P_ALTERPK 'PK_QCP_TG_INSPSUBRESRELA', 'T_QCP_TG_INSPSUBRESRELA', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPLA_FENTRYID') CREATE INDEX IDX_QCP_TG_INSPLA_FENTRYID ON T_QCP_TG_INSPSUBRESRELA ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_TG_INSPLA_FSEQ') CREATE INDEX IDX_QCP_TG_INSPLA_FSEQ ON T_QCP_TG_INSPSUBRESRELA ( FSEQ );



/**End D:\PDM_UPGRADE\PDM1\QCP_TG_constraint.sql **/
