/**Begin D:\PDM_UPGRADE\PDM1\QCP_constraint.sql **/
EXEC P_ALTERPK 'PK_QCP_INSPAPPLYPROJ', 'T_QCP_INSPAPPLYPROJ', 'FDETAILID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSAPPPOJ_FENTRYID') CREATE INDEX IDX_QCP_INSAPPPOJ_FENTRYID ON T_QCP_INSPAPPLYPROJ ( FENTRYID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSAPPPOJ_FSEQ') CREATE INDEX IDX_QCP_INSAPPPOJ_FSEQ ON T_QCP_INSPAPPLYPROJ ( FSEQ );


EXEC P_ALTERPK 'PK_QCP_JOININSPECT', 'T_QCP_JOININSPECT', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINCT_FBILLNO') CREATE INDEX IDX_QCP_JOINCT_FBILLNO ON T_QCP_JOININSPECT ( FBILLNO );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINCT_FCREATETIME') CREATE INDEX IDX_QCP_JOINCT_FCREATETIME ON T_QCP_JOININSPECT ( FCREATETIME );


EXEC P_ALTERPK 'PK_QCP_JOININSPECT_L', 'T_QCP_JOININSPECT_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINCTL_FID') CREATE INDEX IDX_QCP_JOINCTL_FID ON T_QCP_JOININSPECT_L ( FID ,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINCTL_FCOMMENT') CREATE INDEX IDX_QCP_JOINCTL_FCOMMENT ON T_QCP_JOININSPECT_L ( FCOMMENT );


EXEC P_ALTERPK 'PK_QCP_JOININSPENTRY', 'T_QCP_JOININSPENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINRY_FID') CREATE INDEX IDX_QCP_JOINRY_FID ON T_QCP_JOININSPENTRY ( FID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINRY_FSEQ') CREATE INDEX IDX_QCP_JOINRY_FSEQ ON T_QCP_JOININSPENTRY ( FSEQ );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINRY_FMATERIALID') CREATE INDEX IDX_QCP_JOINRY_FMATERIALID ON T_QCP_JOININSPENTRY ( FMATERIALID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINRY_FMATERIALCFGID') CREATE INDEX IDX_QCP_JOINRY_FMATERIALCFGID ON T_QCP_JOININSPENTRY ( FMATERIALCFGID );


EXEC P_ALTERPK 'PK_QCP_JOININSPPROJ', 'T_QCP_JOININSPPROJ', 'FDETAILID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINOJ_FENTRYID') CREATE INDEX IDX_QCP_JOINOJ_FENTRYID ON T_QCP_JOININSPPROJ ( FENTRYID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINOJ_FSEQ') CREATE INDEX IDX_QCP_JOINOJ_FSEQ ON T_QCP_JOININSPPROJ ( FSEQ );


EXEC P_ALTERPK 'PK_QCP_JOININSPRELA_N', 'T_QCP_JOININSPRELA_N', 'FDETAILID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINLA_FENTRYID') CREATE INDEX IDX_QCP_JOINLA_FENTRYID ON T_QCP_JOININSPRELA_N ( FENTRYID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINLA_FSEQ') CREATE INDEX IDX_QCP_JOINLA_FSEQ ON T_QCP_JOININSPRELA_N ( FSEQ );


EXEC P_ALTERPK 'PK_QCP_JOININSPSAMP_N', 'T_QCP_JOININSPSAMP_N', 'FDETAILID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINMP_FENTRYID') CREATE INDEX IDX_QCP_JOINMP_FENTRYID ON T_QCP_JOININSPSAMP_N ( FENTRYID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_JOINMP_FSEQ') CREATE INDEX IDX_QCP_JOINMP_FSEQ ON T_QCP_JOININSPSAMP_N ( FSEQ );



/**End D:\PDM_UPGRADE\PDM1\QCP_constraint.sql **/
